Runtime

## org.eclipse.gmf.runtime.notation
Interface SemanticListCompartment

All Superinterfaces:
  BasicDecorationNode, BasicSemanticCompartment, DrawerStyle, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, FilteringStyle, Node, org.eclipse.emf.common.notify.Notifier, SortingStyle, Style, TitleStyle, View

All Known Implementing Classes:
  SemanticListCompartmentImpl

    public interface SemanticListCompartment

extends BasicSemanticCompartment, SortingStyle, FilteringStyle, TitleStyle

A representation of the model object 'Semantic List Compartment'.

Does not support addition/removal of:

- Source Edges
- Target Edges
- Layout Constraint
- Children
- Styles

Since:
  1.2
See Also:
  `NotationPackage.getSemanticListCompartment()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.runtime.notation.Node
`createLayoutConstraint, getLayoutConstraint, setLayoutConstraint`

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.runtime.notation.DrawerStyle
`isCollapsed, setCollapsed`

Methods inherited from interface org.eclipse.gmf.runtime.notation.SortingStyle
`getSortedObjects, getSorting, getSortingKeys, setSorting, setSortingKeys`

Methods inherited from interface org.eclipse.gmf.runtime.notation.FilteringStyle
`getFilteredObjects, getFiltering, getFilteringKeys, setFiltering, setFilteringKeys`

Methods inherited from interface org.eclipse.gmf.runtime.notation.TitleStyle
`isShowTitle, setShowTitle`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.